commit:     d021621e343e8f247c92e48c00dc3f604299928d
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 17 17:40:33 2019 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Sep 17 17:40:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d021621e

dev-lang/php: Emulate PHP ./buildconf in PHP 7.4

Upstream has changed how macros are defined by the autoconf system
This breaks eautoreconf with latest libtool.
Previously we attempted to copy in new libtool, but this breaks external
extensions.  Instead, do what upstream expects using our own tools
to ensure cross-compliation support.

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 dev-lang/php/php-7.4.0_rc1.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/dev-lang/php/php-7.4.0_rc1.ebuild 
b/dev-lang/php/php-7.4.0_rc1.ebuild
index 4c04d93e4d4..fafdcb64e83 100644
--- a/dev-lang/php/php-7.4.0_rc1.ebuild
+++ b/dev-lang/php/php-7.4.0_rc1.ebuild
@@ -218,9 +218,11 @@ src_prepare() {
                sapi/fpm/php-fpm.conf.in \
                || die 'failed to move the include directory in php-fpm.conf'
 
-       # Bug 669566 - necessary so that build tools are updated for commands 
like pecl
-       cp "${BROOT}/usr/share/aclocal/libtool.m4" build/ || die
-       eautoreconf
+       # Emulate buildconf to support cross-compilation
+       rm -fr aclocal.m4 autom4te.cache config.cache \
+               configure main/php_config.h.in || die
+       eautoconf --force
+       eautoheader
 }
 
 src_configure() {

Reply via email to